Skip to main content
GET
Get a contact consent report

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

Account containing the authenticated administrator and contact.

contact_id
integer
required

Contact ID scoped through the authenticated account.

Response

Current report. Empty inboxes mean no ledger events, not proof of consent or that sends are allowed.

Current output of Consent::Report for one account-owned contact.

contact_id
integer
required

Account-owned contact identifier.

generated_at
string<date-time>
required

UTC time at which the report policy answers were evaluated.

history_limit
enum<integer>
required

Current maximum number of newest history events returned per inbox and purpose.

Available options:
100
merged_contact_ids
integer[]
required

Original contact IDs represented by ledger events moved into this contact.

legacy_opt_outs
object
required

Opt-out IDs from the existing AMB and RCS legacy readers.

inboxes
object[]
required

Inboxes with at least one ledger event for this contact.